import request from "@/utils/request.js"

//注册
export const register = (params) => {
	return request('/api/register',"POST",params)
}

//验证账户是否存在
export const spread_validator = (params) => {
	return request('/api/register',"POST",params)
}

//登录
export const login = (params) => {
	return request('/api/login',"POST",params)
}

//获取验证码
export const smscode = (params) => {
	return request('/api/smscode',"POST",params)
}

//获取菜单
export const busType = (params) => {
	return request('/api/get_types',"POST",params)
}

//协议获取
export const get_agreement = (params) => {
	return request('/api/get_agreement',"POST",params)
}

//生成pdf
export const get_pdf = (params) => {
	return request('/api/get_pdf',"POST",params,'https://baidu.angyakeji.com')
}

//获取所属行业类型
export const queryMcc =(params) => {
	return request('/ys/queryMccCd?mercType='+params.merchType,"Get",params,'http://192.168.0.142:8081/api')
}

//获取开户支行
export const queryBankCode = (params) => {
	return request('/ys/queryBank?cityCode=' + params.cityCode +'&openBankName=' + params.openBankName,"GET",params,'http://192.168.0.142:8081/api')
}

//获取地区
export const queryAreas= (params) => {
	return request('/ys/queryAreas',"POST",params,'http://192.168.0.142:8081/api')
}

//ys上送资料
export const uploadInfoToYs= (params) => {
	return request('/ys/apply/uploadInfo',"POST",params,'http://192.168.0.142:8081/api')
}

//ys修改资料
export const modifyInfoToYs= (params) => {
	return request('/ys/apply/modifyInfo',"POST",params,'http://192.168.0.142:8081/api')
}

//ys上传图片
export const uploadImgsToYs= (params) => {
	return request('/ys/apply/uploadImgs',"POST",params,'http://192.168.0.142:8081/api')
}

//ys确认资料
export const auditInfoToYs= (params) => {
	return request('/ys/apply/auditInfo',"POST",params,'http://192.168.0.142:8081/api')
}

//ys签约申请
export const signToYs= (params) => {
	return request('/ys/apply/sign',"POST",params,'http://192.168.0.142:8081/api')
}
//ys重新发送签约地址
export const signToAgin= (params) => {
	return request('/ys/apply/sendSignAgin',"POST",params,'http://192.168.0.142:8081/api')
}

//查询签约状态
export const queryAuthInfo= (params) => {
	return request('/ys/apply/queryAuthInfo',"POST",params,'http://192.168.0.142:8081/api')
}

//ys发送微信实名认证
export const toAuthWx= (params) => {
	return request('/ys/auth/wxpay/submitAuthMessages',"POST",params,'http://192.168.0.142:8081/api')
}

//ys查询微信实名认证状态
export const getAuthMessagesStatusWX= (params) => {
	return request('/ys/auth/wxpay/getAuthMessagesStatus',"POST",params,'http://192.168.0.142:8081/api')
}

//ys获取微信实名认证申请单明细信息
export const getAuthMessagesInfo= (params) => {
	return request('/ys/auth/wxpay/getAuthMessagesInfo',"POST",params,'http://192.168.0.142:8081/api')
}

//ys获取微信商家授权状态（查询商户是否已完成实名认证）
export const getAuthStateWX= (params) => {
	return request('/ys/auth/wxpay/getAuthState',"POST",params,'http://192.168.0.142:8081/api')
}

//撤销微信实名认证
export const cancelAuthMessagesWx= (params) => {
	return request('/ys/auth/wxpay/cancelAuthMessages',"POST",params,'http://192.168.0.142:8081/api')
}

//ys发送支付宝实名认证
export const toAuthAli= (params) => {
	return request('/ys/auth/alipay/submitAuthMessages',"POST",params,'http://192.168.0.142:8081/api')
}

//ys查询微支付宝名认证状态
export const getAuthMessagesStatusALI= (params) => {
	return request('/ys/auth/alipay/getAuthMessagesStatus',"POST",params,'http://192.168.0.142:8081/api')
}

//ys获取支付宝商家授权状态（查询商户是否已完成实名认证）
export const getAuthStateALi= (params) => {
	return request('/ys/auth/alipay/getAuthState',"POST",params,'http://192.168.0.142:8081/api')
}

//撤销支付宝实名认证
export const cancelAuthMessagesALi= (params) => {
	return request('/ys/auth/alipay/cancelAuthMessages',"POST",params,'http://192.168.0.142:8081/api')
}

//获取名下银盛进件商家
export const merchListForSpread =(params) => {
	return request('/ys/merch/merchListForSpread?spreadId='+params.spreadId,"Get",params,'http://192.168.0.142:8081/api')
}

//获取实名认证信息
export const getMercAuthInfo =(params) => {
	return request('/ys/merch/getMercAuthInfo?mercId='+params.mercId,"Get",params,'http://192.168.0.142:8081/api')
}






